import numpy, cv2

cap = cv2.VideoCapture(0)
#cap.set(cv2.cv.CV_CAP_PROP_FRAME_WIDTH, 640)
#cap.set(cv2.cv.CV_CAP_PROP_FRAME_HEIGHT, 480)

while 1:
    stat, image = cap.read(0)

    gray = cv2.cvtColor(image, cv2.COLOR_BGR2GRAY)
    gray = numpy.float32(gray)
    resp = cv2.cornerHarris(gray,2,3,0.04)
    #resp = cv2.dilate(resp, None) # make the points thicker
    image[resp > resp.max()*0.005] = [0,255,0]

    cv2.imshow('Camera', image)
    key = cv2.waitKey(10)

    if key == 0x1b: # ESC
        break
